import {parse} from './parse';
import {max_day_of_month} from './max_day_of_month';
import {time_slot} from './time_slot';
import {time_diff, showTimeDiff} from './time_diff';
import tsToDate from './ts_to_date';
import add_one_day from './add_one_day';
import show_distance from './show_distance';
import {
  getWeekNo,
  weekNoToDate,
  dateToWeekText,
  getWeekText
} from './week';

export default {
  maxDayOfMonth: max_day_of_month,
  parse,
  timeDiff: time_diff,
  timeSlot: time_slot,

  getWeekText,
  getWeekNo,
  weekNoToDate,
  dateToWeekText,
  tsToDate,
  showTimeDiff,
  addOneDay: add_one_day,
  showDistance: show_distance
}
